{ Sample program that initializes the SuperVGA driver}
Program Test256;

Uses Graph,Crt,Dos;

{$I svga256.inc}

var
  AutoDetect : pointer;
  GraphMode, GraphDriver,i : integer;
  a: dacpalette;
  Ky : Char;

(* 'Detection' routine *)
{$F+}					(* Force to far calls *)
function DetectVGA : Integer;
var Vid : Integer;

begin
  Writeln('Which video mode would you like to use?');
  Writeln('  0) 320x200x256');
  Writeln('  1) 640x400x256');
  Writeln('  2) 640x480x256');
  Writeln('  3) 800x600x256');
  Writeln('  4) 1024x768x256');
  Write('> ');
  Readln(Vid);
  DetectVGA := Vid;
end;
{$F-}

begin
  for i:=0 to 255 do
    begin
      a[i][0]:=0;
      a[i][1]:=0;
      a[i][2]:=i;
    end;

  AutoDetect := @DetectVGA;
  GraphDriver := InstallUserDriver('SVGA256',AutoDetect);
  GraphDriver := Detect;
  InitGraph(GraphDriver,GraphMode,'');
  setcolor(15);				(* Remember to do this *)

  setvgapalette(a);

  for i:=0 to 63 do
    begin
      setcolor(i);
      line(i,0,i,200);
{      outtextxy(9*i,100,'H');
      line(0,0,GetMaxX,GetMaxY);
      line(0,GetMaxY,GetMaxX,0);}
    end;
  Ky := ReadKey;
  CloseGraph;
end.